package com.javacodegeeks.java.util.concurrent.countdownlatch;

import java.util.concurrent.CountDownLatch;

public class TestThread extends Thread {

	private String name;
	private CountDownLatch latch;

	public TestThread(String name, CountDownLatch latch) {
		this.name = name;
		this.latch = latch;
	}

	public void run() {

		System.out.println(name + " : started");
		try {
			Thread.sleep(2000);
		} catch (Exception e) {
		}

		latch.countDown();
	}

}
