package com.javacodegeeks.java.util.concurrent.countdownlatch;

import java.util.concurrent.*;

public class CountDownLatchExample {

	public static void main(String args[]) {

		final CountDownLatch latch = new CountDownLatch(3);

		Thread testThread1 = new Thread(new TestThread("FirstThread", latch));
		Thread testThread2 = new Thread(new TestThread("SecondThread", latch));
		Thread testThread3 = new Thread(new TestThread("ThirdThread", latch));

		testThread1.start();
		testThread2.start();
		testThread3.start();

		try {
			latch.await();
		} catch (InterruptedException ie) {
		}

		System.out.println("All threads have started");

	}

}
